#
#  @(#) $Id: Makefile.config,v 1.5 2005/07/06 00:45:07 honda Exp $
# 

#
#  Makefile のシステム依存部分（HSB7616IT用）
#


#
#  実行環境の定義
#
#      DBGENVには下記の中の１つだけを選択する。
#
#　　　DBGENV = ROMはROM化である（他の実行環境ではない）ことを
#　　　明示しているだけで、ソースコード中で参照はしていない。
#
#　　　共通部Makefileでデフォルトの実行環境としてGDB stubが選択される。
#　　　DBGENV=GDB_STUBに仮設定された状態で、このファイルが読み込まれる。
#　　　

#DBGENV = ROM
#DBGENV = MULTI_STACK

#
#  コンパイルオプション
#
INCLUDES := $(INCLUDES) -I$(SRCDIR)/config/$(CPU)/$(SYS)

COPTS := $(COPTS)
LDFLAGS := $(LDFLAGS)
CDEFS := $(CDEFS) -DSH7615

#
#  カーネルに関する定義
#
KERNEL_DIR := $(KERNEL_DIR):$(SRCDIR)/config/$(CPU)/$(SYS)
KERNEL_ASMOBJS := $(KERNEL_ASMOBJS) sys_support.o
KERNEL_COBJS := $(KERNEL_COBJS) sys_config.o sh7615scif.o

#
#  各セグメントの開始アドレスの定義
#
ifeq ($(DBGENV),GDB_STUB)
     TEXT_START_ADDRESS=0x04020000
else
# ベクタテーブルの後ろ
#TEXT_START_ADDRESS=0x00000400
TEXT_START_ADDRESS=0x04000400

# RAM領域の先頭アドレス(CS2)
#DATA_START_ADDRESS=0x04000000
endif

#
#  リンカスクリプトの定義
#
ifeq ($(DBGENV),GDB_STUB)
LDSCRIPT = $(CPU)/$(SYS)/shelf.stub.ld
else
LDSCRIPT = $(CPU)/$(SYS)/shelf.ld
endif
